%define version 3.2.4
%define tarname CherryPy-%{version}
%{!?python_version: %global python_version %(%{__python} -c "import sys ; print sys.version[:3]")}
%{!?python3_version: %global python3_version %(%{__python3} -c "import sys; sys.stdout.write(sys.version[:3])")}
	
Summary:        A Python-based framework for web application development
Name:           python-cherrypy
Version:        %version
Release:        %mkrel 1
License:        BSD
Group:          Development/Python
URL:            http://www.cherrypy.org
Source0:        https://pypi.python.org/packages/source/C/CherryPy/CherryPy-%{version}.tar.xz
Patch0:         python-cherrypy-tutorial-doc.patch
Patch1:         cherrypy-unittest.patch
BuildRequires:	python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
A Python-based framework for web application development.

CherryPy allows you to write and easyly deploy web applications, thanks
to a bundled webserver. It features a automated way to map an url to a
mathod, allowing you to describe your site as a python class.

%package docs
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch
%description docs
This package provides the documentation for %{name}.

%prep
%setup -q -n %tarname
%patch0 -p1
%patch1 -p1


%build
%{__python} setup.py build
cat > tutorial.conf << EOF
[server]
socketPort = 8080
threadPool = 10

[session]
storageType=ram
EOF


%install

%{__python} setup.py install --skip-build --root %{buildroot} 


%files
%doc README.txt
%{_bindir}/cherryd
%{python_sitelib}/*

%files docs
%doc cherrypy/tutorial


%changelog
* Sat Aug 10 2013 billybot <billybot> 3.2.4-1pclos2013
- update
